Skip to content

The cities map as an image​

GET
/cities/map/snapshot

A redirect to a signed Apple Maps Web Snapshot with the same dots when a MapKit key is configured, else the static map: an SVG of Natural Earth outlines with the dots, in Web Mercator. Use it as an image source; it works for both answers.

Parameters​

Query Parameters

scope
Type
string
Valid values
"us""world"
Default
"us"
w
Type
integer
Minimum
64
Maximum
2048
Default
1152
h
Type
integer
Minimum
64
Maximum
2048
Default
480
scheme
Type
string
Valid values
"light""dark"
Default
"light"

Responses​

The static map

image/svg+xml
JSON
"string"

Playground​

Server
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Built with VitePress